Bug 104722 - PPTX import: Wrong text alignment when text box is smaller than the text inside
Summary: PPTX import: Wrong text alignment when text box is smaller than the text inside
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.1 target:5.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-16 23:10 UTC by Tamás Zolnai
Modified: 2018-08-28 12:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
PPTX file with text boxes (31.33 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-12-16 23:10 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2016-12-16 23:10:15 UTC
Description:
If you open the attached PPTX file you can see that the two texts on the first slide have a wrong alignment, which makes them to hang out of the slide.

In Word they displayed well. I think it's not about PPTX import, but about the text alignment of text shapes, when the shape is smaller than the text inside it. In this case the text always aligned to center independently the set alignment.

Steps to Reproduce:
1. Open attached PPTX file
2. Check the text alignemnt

Actual Results:  
Text is aligned to the center of the text box which makes text to hang out of the slide.

Expected Results:
Text should be aligned to the left of the shape as it has this alignment specified.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Tamás Zolnai 2016-12-16 23:10:59 UTC
Created attachment 129703 [details]
PPTX file with text boxes
Comment 2 Xisco Faulí 2016-12-17 14:42:28 UTC
Confirmed in

- Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Commit Notification 2016-12-17 16:41:13 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5694b4970e3af096130e172ac6968b10ed587a6f

tdf#104722: Wrong text alignment when text box is smaller than the text inside

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-12-17 19:21:35 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08091afa13e6ad7fc8da6d45339bdc46b6e7dbd2&h=libreoffice-5-3

tdf#104722: Wrong text alignment when text box is smaller than the text inside

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-12-19 08:32:22 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed5e0a90aa445f5380a245a203caee6518d483cd&h=libreoffice-5-2

tdf#104722: Wrong text alignment when text box is smaller than the text inside

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-18 21:55:15 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1f3219e773f854c33b39a1fa1622def3282d8d6

tdf#104722: Align text correctly also during editing

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 vihsa 2017-03-22 11:14:41 UTC
verified only commit pushed to "master" dated 2016-12-17.

version: 5.4.0.0.alpha0+ / build id : febc116 / android 5.1

text is aligned to the left of the shape.